# $Revision: 1.24 $, $Date: 2003/08/05 11:47:17 $
Summary:	Xfreecd, a CD player with CDDB features
Summary(pl):	Xfreecd - odtwarzacz pyt audio ze wsparciem dla CDDB
Name:		xfreecd
Version:	0.7.8
Release:	1
License:	GPL
Group:		X11/Amusements
Source0:	http://www.brianlane.com/linux/%{name}-%{version}.tar.gz
# Source0-md5:	96edec5a4586a251da32923ac9c8caa9
Patch0:		%{name}.patch
Patch1:		%{name}-gtk.patch
Icon:		xfreecd.gif
URL:		http://www.brianlane.com/linux/
BuildRequires:	gtk+-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_prefix		/usr/X11R6

%description
XfreeCD is a X Window program written using GTK+ that looks like the
frontpanel of a cd player. It also supports the CDDB database of CD
track information, and is certified for submitting new CD information
to the database. At 137x90 it takes up a small amount of screen space.

%description -l pl
Xfreecd jest odtwarzaczem pyt audio opartym o bibliotek GTK+.
Korzysta on z bazy danych CDDB zawierajcej informacje o pytach CD.
Moe on dodawa swoje zapisy do takiej bazy.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%{__make} OPTFLAGS="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_includedir}/X11/pixmaps} \
	$RPM_BUILD_ROOT%{_sysconfdir}/X11/wmconfig

install %{name} $RPM_BUILD_ROOT%{_bindir}
install %{name}.wmconfig $RPM_BUILD_ROOT%{_sysconfdir}/X11/wmconfig/%{name}
install %{name}.xpm $RPM_BUILD_ROOT%{_includedir}/X11/pixmaps

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README HISTORY
%{_sysconfdir}/X11/wmconfig/%{name}

%attr(755,root,root) %{_bindir}/%{name}
%{_includedir}/X11/pixmaps/%{name}.xpm

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xfreecd.spec,v $
Revision 1.24  2003/08/05 11:47:17  ankry
- fixed URLs, added md5

Revision 1.23  2003/08/02 09:28:04  gotar
- fixed X Window System spelling

Revision 1.22  2003/05/25 06:28:17  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.21  2002/11/30 23:00:31  juandon
- new %%doc

Revision 1.20  2002/02/23 05:29:54  kloczek
- adapterized.

Revision 1.19  2002/02/22 23:30:05  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.18  2002/01/18 02:15:39  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.17  2001/05/03 01:14:07  qboosh
- adapterized and made spec %%debug ready or added using %%rpm*flags macros

Revision 1.16  2000/06/09 07:24:22  kloczek
- added using %%{__make} macro.

Revision 1.15  2000/05/21 20:05:15  kloczek
- spec adapterized.

Revision 1.14  2000/05/01 21:02:35  mkochano
- Removed 'BuildRequires: (XFree86|glib)-devel' from packages which have
  'BuildRequires: gtk+-devel'. They were redundant, beacuse 'gtk+-devel' says
  what it needs using 'Requires'. BTW, awk rules :)

Revision 1.13  2000/04/01 11:16:02  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.12  2000/03/28 16:55:25  baggins
- translated kloczkish into english

Revision 1.11  1999/09/04 09:44:01  pius
- cosmetics

Revision 1.10  1999/07/20 12:48:12  wiget
- switch to rpm 3.0.2

Revision 1.9  1999/07/12 23:06:28  kloczek
- added using CVS keywords in %changelog (for automating them).

* Thu May 20 1999 Piotr Czerwiski <pius@pld.org.pl>
  [0.7.7-3]
- spec file written by Pawe Gajda <pagaj@shadow.eu.org>,
  modified by me and Micha Kuratczyk <kura@pld.org.pl>.
